Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 235834 - Anti-aliased font rendering has deteriorated
Anti-aliased font rendering has deteriorated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 09:27 EDT by Philip Frampton
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.5.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 11:56:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replacement for /usr/lib/openoffice.org2.0/program/libvcl680li.so (3.38 MB, application/octet-stream)
2007-04-14 07:00 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Philip Frampton 2007-04-10 09:27:43 EDT
Description of problem:

Openoffice font rendering has become noticably worse in a recent update.

Version-Release number of selected component (if applicable):

openoffice.org-core-2.0.4-5.5.17.i386.rpm

How reproducible:

Compare rendering of words in GNOME panel against rendering of same words at
same size in Openoffice.org

Steps to Reproduce:
1. Use DejaVU fonts
2. Turn on antialiasing in OOo and sub-pixel or best shape in Gnome
3. Compare rendering of "Applications Places System"
  
Actual results:

OOo renders letters thicker and less beautiful ;-)

Expected results:

The same (they both use freetype library)

Additional info:

I noticed the change a while ago - probably the
openoffice.org-core-2.0.4-5.5.10.i386.rpm update. At the time I thought it was
my poor font rendering. OOo used to look as nice as gnome applications but then
it changed - it now renders as nice as the 2nd best setting in gnome (for my
display) - that is Best Shapes not Sub-pixel.
Comment 1 Philip Frampton 2007-04-10 09:34:58 EDT
Part of me now feels a little stupid. I spent about 10 mins googling before
writing this report - and then immediately after writing it I found the solution.

In ~/.fonts.conf I changed

 <match target="font" >
  <edit mode="assign" name="rgba" >
   <const>none</const>
  </edit>
 </match>

to:

 <match target="font" >
  <edit mode="assign" name="rgba" >
   <const>rgb</const>
  </edit>
 </match>

and this fixed the problem. I'm not sure what it means, or what changed it, or
why it only affected OOo.
Comment 2 Caolan McNamara 2007-04-13 04:51:42 EDT
I see a little difference alright, but to be sure I'm looking at the same thing.
What are you comparing, the menu bars ?, i.e. is there a difference in e.g. the
"File" between gedit and openoffice.org.

If that's a good example, then what's the selected font and size in gnome font
preference for "application font", and the output of fc-match -v "that font"
Comment 3 Caolan McNamara 2007-04-13 08:07:16 EDT
I think I see the problem, I see that the cairo logic for subpixels has changed
slightly. We are using FL_Load_Glyph with flags of 0x10200 while cairo apps like
gedit are loading with 0x00200 hint medium is getting mapped to hint slight for
us at the moment. 

I'll make a test build and provide a replace libvcl680li.so for you to test
this, and if works out I can push a FC-6 update.
Comment 4 Caolan McNamara 2007-04-14 07:00:37 EDT
Created attachment 152606 [details]
replacement for /usr/lib/openoffice.org2.0/program/libvcl680li.so

Can you please test this for me to see if it fixes the problem for you ?

i.e. 

mv /usr/lib/openoffice.org2.0/program/libvcl680li.so /tmp
copy this attachment to /usr/lib/openoffice.org2.0/program/libvcl680li.so
launch office and see if the text is improved
afterwards you can replace /usr/lib/openoffice.org2.0/program/libvcl680li.so
with the version you moved to /tmp
Comment 5 Philip Frampton 2007-04-16 00:42:46 EDT
Yes this fixes the problem. I changed ~/fonts.conf back to my original settings
(none for sub pixel and hintmedium), checked it made the fonts worse, then tried
your new library and it looked as good as gnome - much better.

Thanks.
Comment 6 Caolan McNamara 2007-04-16 02:47:00 EDT
excellent, I'll push this out as an update soon then.

Note You need to log in before you can comment on or make changes to this bug.